package com.virtual.pollentia.WalkingTour.modelo;

/**
 * Created by Roger Gomez
 */
public class PuntoGps {

    private int id = 0;
    private double latitud = 0;
    private double longitud = 0;
    private float grados = 0;
    private String descripcion = "";

    /**
     * Constructor de la clase
     *
     * @param identidad id del punto
     * @param lat       latitud del punto
     * @param lon       longitud del punto
     * @param grad      grados del punto donde miramos
     * @param desc      descripción del punto
     */
    public PuntoGps(int identidad, double lat, double lon, float grad, String desc) {
        id = identidad;
        latitud = lat;
        longitud = lon;
        grados = grad;
        descripcion = desc;
    }

    //GETTERS Y SETTERS
    public double getLatitud() {
        return latitud;
    }

    public double getLongitud() {
        return longitud;
    }

    public float getGrados() {
        return grados;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public int getId() {
        return id;
    }
}
